Package com.smartgwt.client.docs.serverds

# Class VisibleMethod

java.lang.Object
com.smartgwt.client.docs.serverds.VisibleMethod

public class VisibleMethod extends Object
Defines the method of the `ServerObject` if it appears in an `Application declaration file`. Method can refer the `ServerObject` method allowed to be called from the client or can be implemented right in the .app.xml file using the `inline server script`.

This class is not meant to be created and used, it is actually documentation of settings allowed in a DataSource descriptor (.ds.xml file), for use with Smart GWT Pro Edition and above. See `com.smartgwt.client.docs.serverds` for how to use this documentation.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `args`
  For the methods implemented via `ServerScript` defines the name of the arguments array variable to access parameters passed via DMI.call() inside the script.
  `String`
  `language`
  The script language if method is implemented via `ServerScript`.
  `String`
  `name`
  The method name.
  `String`
  `script`
  The script body if method is imlemented via `ServerScript`.
  `String`
  `scriptImport`
  Comma or space separated script imports if method is scripted.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VisibleMethod()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### language

    public String language
    The script language if method is implemented via `ServerScript`. If omitted the default system-wide language will be used, defined in `server.properties` by setting `script.defaultLanguage`.

    Default value is null

  - ### scriptImport

    public String scriptImport
    Comma or space separated script imports if method is scripted. See the "Java Imports" section of the `ServerScript` overview.

    Default value is null

  - ### script

    public String script
    The script body if method is imlemented via `ServerScript`. The presense of this attribute actually defines that method is scripted. See examples in `Application declaration` overview.

    Default value is null

  - ### name

    public String name
    The method name. In case if it refers the `ServerObject` method the names must match and it is the only property required. See examples in `Application declaration` overview.

    Default value is null

  - ### args

    public String args
    For the methods implemented via `ServerScript` defines the name of the arguments array variable to access parameters passed via DMI.call() inside the script. See examples in `Application declaration` overview.

    Default value is null

- ## Constructor Details

  - ### VisibleMethod

    public VisibleMethod()